﻿// ©Copyright 2011 McGee Systems Inc. (dba NetbizSystems.com)
using System;

namespace Netbiz.Bizworks
{
    /// <summary>
    /// Bizworks[BaseException] class
    /// </summary>
    public class BaseException : System.Exception
    {
        /// <summary>
        /// Bizworks[BaseException] constructor 
        /// </summary>
        /// <param name="app">bw.application manager</param>
        /// <param name="exp">original exception</param>
        /// <param name="explan">optional explanation</param>
        public BaseException(BaseApplicationManager app, Exception exp, string explan = "")
        {
            app.LogException(exp);
        }
    }
}
