﻿// ©Copyright 2011 McGee Systems Inc. (dba NetbizSystems.com)
using System;
using System.Diagnostics;

namespace Netbiz.Bizworks
{
    /// <summary>
    /// Bizworks[BaseLogger] class
    /// </summary>
    public class BaseLogger
    {
        /// <summary>
        /// Bizworks LogException method
        /// </summary>
        /// <param name="exp"></param>
        /// <param name="ts"></param>
        public void LogException(Exception exp, TraceSource ts)
        {
            this.LogEvent(ts, TraceEventType.Critical, 1000, "exception was logged: " + exp.Message);
        }

        /// <summary>
        /// Bizworks LogEvent method
        /// </summary>
        /// <param name="ts"></param>
        /// <param name="tet"></param>
        /// <param name="logId"></param>
        /// <param name="logMsg"></param>
        public void LogEvent(TraceSource ts, TraceEventType tet, int logId, string logMsg)
        {
            var arr1 = new string[] { "one", "two", "three" };

            ts.TraceEvent(tet, logId, logMsg, arr1 );
        }
    }
}
// http://www.thejoyofcode.com/From_zero_to_logging_with_System_Diagnostics_in_15_minutes.aspx
