﻿// ©Copyright 2011 McGee Systems Inc. (dba NetbizSystems.com)
namespace Netbiz.Bizworks
{
    /// <summary>
    /// Bizworks[] class
    /// </summary>
    /// <typeparam name="TApplication">named type of logical application</typeparam>
    public abstract partial class BaseSubjectManager<TApplication>
        where TApplication : BaseApplicationManager
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="appMan">reference to the [ApplicationManager] for this [SubjectManager]</param>
        protected BaseSubjectManager(TApplication appMan)
        {
            ApplicationManager = appMan;
        }

        /// <summary>
        /// reference to Bizworks[ApplicationManager] for this [SubjectManager]
        /// </summary>
        public readonly TApplication ApplicationManager;
    }
}


