﻿using System.Windows;
using Munq;

namespace Netbiz.Bizworks.Wpf
{
    /// <summary>
    /// Bizworks[BaseWpfWindow] class
    /// </summary>
    public class BaseWpfWindow : Window
    {
        public BaseWpfWindow() { }

        /// <summary>
        /// Constructor for base Wpf window (nothing much going on here just yet)
        /// </summary>
        public BaseWpfWindow(BaseIocContainer pContainer, string pPage)
        {
            BaseIocContainer = pContainer;

            var page = pContainer.SystemManager.GetPageProfile(pPage);

            this.Title = page.PageTitle;

            return;
        }

        public BaseIocContainer BaseIocContainer { get; private set; }

        // <summary>
        // don't bother trying to do this!  xaml breaks down
        // </summary>
        //protected TPresenter YourPresenter;
    }
}
