﻿using System;
using System.Linq;
using Netbiz.Bizworks.Wcf;

namespace Netbiz.Sample.Application
{
    /// <summary>
    /// SampleCaseManager2(partial) class.  Extent the generated companion (partial)
    /// class as needed for this biz
    /// </summary>
    public partial class CustomerCaseManager2
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="ame"></param>
        /// <returns></returns>
        public EmptyDataContract DoSomethingElse(AuthMethodEnum ame)
        {
            var rtn = new EmptyDataContract();
            try
            {
                using (var ctx = new Sample.DataAccess.AdventureWorksEntities())
                {
                    var qry = from dv in ctx.DomainValues
                              join sam in ctx.Sample1 on dv.dovId equals sam.AuthMethodId
                              where sam.AuthMethodId == (int)ame
                              select new { Sample = sam };

                    var lst = qry.ToList();
                }
            }
            catch (Exception e)
            {
                //throw new Netbiz.Bizworks.BaseException(this.ApplicationManager, e);
            }

            return rtn;
        }
    }
}
