﻿using System.Collections.Generic;
using System.Web;
using Netbiz.Bizworks;
using Netbiz.Bizworks.Builtins.Report;
using Netbiz.Bizworks.Wcf;

namespace Netbiz.Sample.Application.Presenters
{
    /// <summary>
    /// Bizworks[ReportPresenter] class acts as a proxy into the biz.works layer.  
    /// </summary>
    public partial class EmptyPresenter : BasePresenter
    {
        public EmptyPresenter(BaseIocContainer pBaseIocContainer = null) : base(pBaseIocContainer) { }

        public void TestNavigate(string pAspx)
        {
            OnRaiseNavigationEvent(new NavigatonEventArgs(pAspx));
        }
    }
}

