﻿/// <reference name="MicrosoftAjax.js" />

// This is the Bizworks javascript library that is included on all pages.  It is introduced
// in the Asp:ScriptManager that can be found in the Site.Master in the root of the website.

//Define the namespace the following class(es) belong to Bizworks
Type.registerNamespace("Bizworks");

//Class constructor:: Initializes internal members
Bizworks.Common = function () {
    Bizworks.Common.initializeBase(this);
    this._bizworksScriptVersion = "1.0.0";
}
//public interface of the class
Bizworks.Common.prototype = {
    //
    //
    //
    get_bizworksScriptVersion: function () {
        return this._bizworksScriptVersion;
    },
    //
    //
    //
    validateDataItem: function( dataItem ) {
        var itsValue = $(dataItem).val();

        if (itsValue == "" && dataItem.isrequired == "True") {
            $("#" + dataItem.dataname).html("Enter a valid value for " + dataItem.dataname);
            $("#" + dataItem.dataname).show();
            $(dataItem).css('background-color', awRef.backColorError());
            return true;
        }
        if (dataItem.regex != "") {
            var re = new RegExp(dataItem.regex);
            if (!re.test(itsValue)) {
                $("#" + dataItem.dataname).html("Enter a valid value for " + dataItem.dataname);
                $("#" + dataItem.dataname).show();
                $(dataItem).css('background-color', awRef.backColorError());
                return true;
            }
        }
        $("#" + dataItem.dataname).html("");
        $("#" + dataItem.dataname).hide();
        $(dataItem).css('background-color', awRef.backColorValid());

        return true;
    }
}
Bizworks.Common.registerClass('Bizworks.Common');