﻿<%@ Page Language="C#" 
MasterPageFile="~/Site.Master" 
AutoEventWireup="true" 
CodeBehind="ReportHome.aspx.cs" 
Inherits="Netbiz.Sample.WebApplication.ReportHome" %>

<%@ Register assembly="Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" namespace="Microsoft.Reporting.WebForms" tagprefix="rsweb" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <p>
        Report Home</p>
    <p>
        <asp:GridView ID="GridView1" runat="server" DataSourceID="BizworksDataSource1" 
            AutoGenerateColumns="False" 
            Width="100%" ShowFooter="True" ShowHeaderWhenEmpty="True">
            <Columns>
                <asp:BoundField DataField="ReportId" HeaderText="ReportId" 
                    SortExpression="ReportId" >
                <ItemStyle Width="25px" />
                </asp:BoundField>
                <asp:TemplateField HeaderText="ReportName" SortExpression="ReportName"> 
                    <ItemTemplate>
                        <asp:LinkButton ID="LinkButton1" runat="server" PostBackUrl="~/ReportViewer.aspx" Text='<%# Bind("ReportName") %>'></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>

        <Bizworks:PresenterDataSource ID="BizworksDataSource1" runat="server" 
            SelectMethod="GetReportProfiles" 
            TypeName="Netbiz.Sample.Application.Presenters.ReportPresenter">
        </Bizworks:PresenterDataSource>
    </p>

</asp:Content>