﻿using System.Collections.Generic;

namespace Netbiz.Bizworks.Builtins.Report
{
    /// <summary>
    /// Builtin Bizworks[subjectmanager] for reporting
    /// </summary>
    public partial class ReportSubjectManager<TApplication> : BaseSubjectManager<TApplication>
        where TApplication : BaseApplicationManager
    {
        /// <summary>
        /// ReportSubjectManager class 
        /// </summary>
        /// <param name="bam"></param>
        public ReportSubjectManager(TApplication bam) : base(bam)
        {

        }

        public IList<ReportProfile> GetReportProfileList()
        {
            var lst = new List<ReportProfile>();

            lst.Add(new ReportProfile() {ReportId="1", ReportName = "report1"});
            lst.Add(new ReportProfile() {ReportId="2", ReportName = "report2" });

            return lst;
        }
    } // end of class

    // ////////////////////////////////////////////////////////////////////////////////////////////////

    public class ReportProfile
    {
        public string ReportId { get; set; }
        public string ReportName { get; set; }
    }
}
