﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Netbiz.Bizworks.Web
{
    public abstract class BaseGlobal<TContainer> : System.Web.HttpApplication where TContainer : BaseIocContainer
    {
        protected BaseGlobal()
        {
            return;
        }

        /// <summary>
        /// Ioc container for the Asp.net application.  Base webpage/usercontrol will need this.
        /// </summary>
        /// <remarks>must be set by derived global class</remarks>
        public TContainer BizworksContainer { get; protected set; }
    }
}
