﻿using System;
using System.Reflection;
using System.Web;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Netbiz.Bizworks.Web
{
    public static class ExtensionMethods
    {
        [Obsolete]
        public static void UppercaseFirstLetter(this HttpApplication value) // Note parameter declaration.
        {
            return;
        }

        /// <summary>
        /// get container from asp.net application instance
        /// </summary>
        /// <param name="value">asp.net application instance</param>
        /// <returns>container reference</returns>
        /// <remarks>
        /// The BaseWebpage, BaseUserControl and BasePresenter use this to find the container
        /// </remarks>
        public static BaseIocContainer GetBizworksContainer(this HttpApplication value)
        {
            var type = value.GetType();
            var propertyInfo = type.GetProperty("BizworksContainer");
            if (propertyInfo != null)
            {
                return (BaseIocContainer)propertyInfo.GetValue(value, null);
            } 
            else
            {
                return null;
            }
        }
    }
}
