﻿using System;
using System.Linq;
using System.Reflection;
using System.Runtime.Serialization;
using System.Xml.Linq;
using Netbiz.Bizworks;
using Netbiz.Bizworks.Wcf;
using Netbiz.Sample.Application;
using Netbiz.Sample.Application.Projects;

namespace Netbiz.Sample.ConsoleApplication
{
    /// <summary>
    /// Sample console application that show biz.works usage
    /// </summary>
    class Program
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="args"></param>
        static void Main(string[] args)
        {
            var tth = (new TtHelpers().GetLiveConfigNames(1,""));

            var bizMan = (CustomerCaseManager1)_ioc.Resolve(typeof(CustomerCaseManager1));
            try
            {
                var rtn = bizMan.DoSomething(AuthMethodEnum.Forms);
            }
            finally
            {
                //bizMan.ApplicationManager.ApplicationEnding();
            }
            Console.Read();
        }

        /// <summary>
        /// Biz.works[project] class reference
        /// </summary>
        private static readonly AdventureWorksConsoleProject _project = new AdventureWorksConsoleProject();

        /// <summary>
        /// Reference to the SampleApplication container.  Notice that we must tell the
        /// container that it is serving a console application.
        /// </summary>
        private static readonly AdventureWorksApplicationContainer _ioc = new AdventureWorksApplicationContainer(_project);
    }
}