﻿using System.Collections.Generic;
using Netbiz.Bizworks.Wcf;
using Netbiz.Bizworks.Builtins.Admin;

namespace Netbiz.Sample.Application.Presenters
{
    /// <summary>
    /// Bizworks[AdminHomePresenter] class... another part(ial) has been generated
    /// </summary>
    public partial class AdminHomePresenter
    {
        /// <summary>
        /// Example presenter showing ALL/most logic points
        /// </summary>
        public AdminHomeDC DoSomething()
        {
            var sam = (AdventureWorksAdminManager)BwContainer.Resolve(typeof(AdventureWorksAdminManager));

            var ahdc = new AdminHomeDC()
                {
                    UserAdmin = sam.GetUserByRole(UserRole.SysAdministrator),
                    UserList = sam.GetUsersList()
                };

            return (AdminHomeDC)base.SetReturnDataContract( ahdc, 100, true);
        }
        public IList<string> GetData()
        {
            IList<string> data = new List<string>();

            data.Add("one");
            data.Add("two");
            data.Add("three");
            data.Add("four");
            data.Add("five");
            data.Add("six");
            data.Add("seven");
            data.Add("eight");

            return data;
        }
    }

    //  ///////////////////////////////////////////////////////////////////////////////////////////

    /// <summary>
    /// 
    /// </summary>
    public class AdminHomeDC : BaseDataContract
    {
        public BizworksUser UserAdmin { get; set; }
        public IList<BizworksUser> UserList;
    }
}
