﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using Netbiz.Bizworks.Wcf;
using Netbiz.Bizworks.Builtins.Admin;
using Netbiz.Sample.DataAccess;
using Netbiz.Sample.Application.DatabaseModels;

namespace Netbiz.Sample.Application.Presenters
{
    /// <summary>
    /// Bizworks[ProductHomePresenter] class... another part(ial) has been generated
    /// </summary>
    [DataObject]
    public partial class ProductHomePresenter
    {
        public IList<Product> GetProductList()
        {
            var repository = this.AdventureWorksApplicationManager.AdventureWorksModel.GetRepository<ProductRepository, Product, ProductDto>();
            var query = repository.LoadAll();
            var list = query.ToList();

            return list;
        }
    }
}

