﻿/// <reference name="bizworks-1.0.0.js" />

// This is the application-wide script library for the AdventureWorks application.
// It will be constructed with a referecne to the Bizworks script libary so that
// we can use that functionality in here.

//Define the namespace the following class(es) belong to AdventureWorks
Type.registerNamespace("AdventureWorks");

//Class constructor:: Initializes internal members
// bizworks :: refererence to the bizworks object
AdventureWorks.Common = function (bizworks) {
    this._bizworks = bizworks;
}
//add some constants
AdventureWorks.Common.BACKCOLORVALID = "#F7D4CE";
AdventureWorks.Common.BACKCOLORERROR = "#ffff00";
AdventureWorks.Common.CACHEHANDLER = "/FragmentHandler.ashx";

//Public interface of the class
AdventureWorks.Common.prototype =
{
    handleServiceFault: function (serviceResult, userContext, methodName) {
        alert("see AdventureWorks.Common.handleServiceFault");
        return false;
    },
    cacheHandler    : function () { return AdventureWorks.Common.CACHEHANDLER; },
    backColorError  : function () { return AdventureWorks.Common.BACKCOLORERROR; },
    backColorValid  : function () { return AdventureWorks.Common.BACKCOLORVALID; }
}
AdventureWorks.Common.registerClass('AdventureWorks.Common');