﻿/// <reference name="MicrosoftAjax.js" />
/// <reference path="../Services/HomePage.svc" />
/// <reference path="../T4Generators/Gen.Intellisense.js" />

var bwRef = null; //convenience reference to script (js) for bizworks
var svcRef = null; //convenience reference to service (svc) for this page
var awRef = null; //convenience reference to script (js) for this application

$(function () {

    bwRef = new Bizworks.Common();
    svcRef = new AdventureWorks.Wcf.CustomerHomeService.ICustomerHomeService();
    awRef = new AdventureWorks.Common(bwRef); 

    svcRef.set_defaultSucceededCallback(myCallback);
    svcRef.set_defaultFailedCallback(awRef.handleServiceFault);

    var dcEmpty = new Netbiz.Bizworks.Wcf.EmptyDataContract();
    dcEmpty.ForceNoCache = new Date(); // force call
    svcRef.set_defaultUserContext("EmptyDataContract");
    svcRef.GetEmptyData(dcEmpty);
});

function myCallback(serviceResult, userContext, methodName) {

    if (userContext == "EmptyDataContract") {
        //;
    }
    return;
}

