﻿<%@ Page Language = "C#" 
MasterPageFile = "~/Site.Master" 
AutoEventWireup = "true" 
CodeBehind = "CustomerDetails.aspx.cs" 
Inherits = "Netbiz.Sample.WebApplication.CustomerDetails" 
EnableEventValidation = "false"
%>

<%@ Register TagPrefix="bw" TagName="RenderUiItem" Src="~/UiViews/WebUserControl4.ascx" %>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">
    <br />
    <div style="width:100%;background-color:#C0C0C0;vertical-align:bottom;padding-left:5px;padding-right:5px;" align="left">
        <div style="float:left">this page demonstrates load-on-demand content sections</div>
        <div style="float:right" ><img src="/Images/WarningHS.png" width="16" height="16" alt="TODO" />&nbsp;</div>
    </div>

    <br />
    <div id="divDetailsTop">
        <div id="divDetailsTitle" style="background-color:#FFFFCC;height:100%">
            <div style="float:left;background-color:#FFFFCC;"><h2>Customer Details</h2></div>
            <div style="float:left;background-color:#FFFFCC;margin-top:5px;">&nbsp;<asp:LinkButton ID="LinkButton3" runat="server" Text="print" /></div>
            <div style="float:right;background-color:#FFFFCC;margin-top:5px;"><asp:LinkButton runat="server" Text="hide/show" /></div>
        </div>
        <br />
        <div id="divDetailsPanel" style="padding: 0px">
            <asp:Panel ID="panDetails" runat="server" ClientIDMode="Static" Visible="true">
                <asp:ListView ID="lvCustomer" runat="server" 
                    DataSourceID="PresenterDataSource1" 
                    ClientIDRowSuffix="DataName" 
                    onitemcreated="lvBizworksItemCreated"
                    >
                    <LayoutTemplate>
                        <asp:PlaceHolder ID="itemPlaceholder" runat="server"></asp:PlaceHolder>
                        <div style="margin-left:145px;margin-top:3px;margin-bottom:3px;">
                            <asp:Button ID="btnSave" runat="server" Text="Save" ClientIDMode="Predictable" />
                        </div>
                    </LayoutTemplate>
                    <ItemTemplate>
                        <div style="width:100%;">
                            <div style="float:left;padding-top:3px;width:15%" align="left">
                                <label style="" title="title?"><%#Eval("DataLabel")%></label>
                            </div>
                            <div style="float:left">
                                <!-- Render Item as defined: textbox, dropdown,,, -->
                                *<bw:RenderUiItem ID="ucRenderUiItem" runat="server" Visible="true" />
                            </div>
                            <br clear="all" />
                            <div id='<%#Eval("DataName")%>' style="color:#FF0000;vertical-align:top;margin-left:5px;display:none;"></div>
                        </div>
                    </ItemTemplate>
                </asp:ListView>        
            </asp:Panel>
        </div>
    </div>

    <div id="divOrdersTop" style="background-color: #FFFFCC">
        <div id="divOrdersTitle" style="background-color: #FFFFCC">
            <div style="float:left;background-color:#FFFFCC;width:75%;height:25px"><h2>Customer Orders</h2></div>
            <div style="float:right;background-color:#FFFFCC;width:25%;height:25px; text-align: right;"><asp:LinkButton ID="LinkButton1" runat="server" Text="hide/show" /></div>
        </div>
        <br />
        <div runat="server" id="divOrdersPanel" CachId="see-code-behind" clientidmode="static">
            <asp:Panel ID="panOrders" runat="server" ClientIDMode="Static" Visible="true">
                <asp:GridView runat="server" AutoGenerateColumns="False" 
                    DataSourceID="PresenterDataSource3" Width="100%">

                    <Columns>
                        <asp:BoundField DataField="OrderDate" HeaderText="OrderDate" 
                            SortExpression="OrderDate" />
                        <asp:BoundField DataField="ShipDate" HeaderText="ShipDate" 
                            SortExpression="ShipDate" />
                        <asp:BoundField DataField="Status" HeaderText="Status" 
                            SortExpression="Status" />
                        <asp:BoundField DataField="SubTotal" HeaderText="SubTotal" 
                            SortExpression="SubTotal" />
                    </Columns>

                </asp:GridView>
            </asp:Panel>
        </div>
    </div>
    <br />
    <div id="divOthersTop" style="background-color: #FFFFCC">
        <div id="divOthersTitle" style="background-color: #FFFFCC">
            <div style="float:left;background-color:#FFFFCC;width:75%;height:25px"><h2>Customer Other Stuff</h2></div>
            <div style="float:right;background-color:#FFFFCC;width:25%;height:25px; text-align: right;"><asp:LinkButton ID="LinkButton2" runat="server" Text="hide/show" /></div>
        </div>
        <br />
        <div runat="server" id="divOthersPanel" CachId="see-code-behind" clientidmode="static">
            <asp:Panel ID="panOthers" runat="server" ClientIDMode="Static" Visible="true">
                <asp:GridView runat="server" AutoGenerateColumns="False" DataSourceID="PresenterDataSource1" Width="100%">
                    <Columns>
                        <asp:BoundField DataField="DataName" HeaderText="DataName" SortExpression="DataName" />
                    </Columns>
                </asp:GridView>
            </asp:Panel>
        </div>
    </div>
    <br />
    <div style="position:absolute;height:100px;top:100%;margin-top:-100px;">
    <div style="float:left;margin-top:4px; vertical-align: bottom;"><asp:Label ID="Label1" runat="server" Text="View Mode: " /></div>
    <div style="float:left">
        <asp:RadioButtonList runat="server" RepeatDirection="Horizontal">
            <asp:ListItem>standard</asp:ListItem>
            <asp:ListItem Selected="True">accordian</asp:ListItem>
            <asp:ListItem>single</asp:ListItem>
        </asp:RadioButtonList>
    </div>
    </div>

<!-- Data source(s) -->
    <bizworks:PresenterDataSource ID="PresenterDataSource1" runat="server" 
        TypeName="Netbiz.Sample.Application.Presenters.CustomerHomePresenter"
        SelectMethod="GetCustomerItems"
        >
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="1" Name="pCustomerId" 
                QueryStringField="CustomerId" Type="Int32" />
        </SelectParameters>
    </bizworks:PresenterDataSource>

    <bizworks:PresenterDataSource ID="PresenterDataSource3" runat="server" 
        TypeName="Netbiz.Sample.Application.Presenters.CustomerHomePresenter"
        SelectMethod="GetSalesOrderList"
        >
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="1" Name="pCustomerId" 
                QueryStringField="CustomerId" Type="Int32" />
        </SelectParameters>
    </bizworks:PresenterDataSource>

</asp:Content>