﻿<%@ Page Language="C#" 
MasterPageFile="~/Site.Master" 
AutoEventWireup="true" 
CodeBehind="CustomerHome.aspx.cs" 
Inherits="Netbiz.Sample.WebApplication.CustomerHome" %>
<%@ Import Namespace="Netbiz.Sample.WebApplication" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div style="height:100%; background-color: #C0C0C0; text-align: left; width: 100%;">
        <span style="">Customer Home Workspace</span>
        <asp:GridView ID="GridView1" runat="server" 
        AutoGenerateColumns="False" 
        DataSourceID="PresenterDataSource1" 
        AllowPaging="True" 
        CellPadding="4" 
        ForeColor="#333333" 
        GridLines="None" Width="100%">
        <AlternatingRowStyle BackColor="White" />
        <Columns>
            <asp:TemplateField HeaderText="CustomerID" SortExpression="CustomerID">
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        Target="_blank" 
                        NavigateUrl='<%# CustomerDetails.GetNavigateUrl(DataBinder.Eval(Container.DataItem, "CustomerID")) %>'>
                        <%#Eval("FirstName") + " " + Eval("LastName")%>
                    </asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
            <asp:BoundField DataField="MiddleName" HeaderText="MiddleName" SortExpression="MiddleName" />
            <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
            <asp:BoundField DataField="ModifiedDate" HeaderText="ModifiedDate" SortExpression="ModifiedDate" />
        </Columns>
        <EditRowStyle BackColor="#2461BF" />
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="#EFF3FB" />
        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
        <SortedAscendingCellStyle BackColor="#F5F7FB" />
        <SortedAscendingHeaderStyle BackColor="#6D95E1" />
        <SortedDescendingCellStyle BackColor="#E9EBEF" />
        <SortedDescendingHeaderStyle BackColor="#4870BE" />
        </asp:GridView>
        <asp:CheckBox runat="server" Text="open details in own tab/page" Checked="True" />
    </div>

    <bizworks:PresenterDataSource ID="PresenterDataSource1" runat="server" 
        TypeName="Netbiz.Sample.Application.Presenters.CustomerHomePresenter"
        SelectMethod="GetCustomerList"
        > 
    </bizworks:PresenterDataSource>
</asp:Content>
