﻿using Netbiz.Bizworks.Web;
using Netbiz.Sample.Application.Presenters;

namespace Netbiz.Sample.WebApplication
{
    /// <summary>
    /// CustomerHome webpage (codebehind)
    /// </summary>
    /// <remarks>let the basePage know which presenter we use</remarks>
    public partial class CustomerHome : BaseWebPage<CustomerHomePresenter>
    {
        /// <summary>
        /// tell the basePage which pageProfile to use
        /// </summary>
        public CustomerHome() : base(Global.AdventureWorksAspProject.CustomerHomePageName)
        {
            // try to keep the code-behind empty.  depend on c# and not much else!
        }

        #region - PAGE LIFE-CYCLE EVENTS - (nothing in here now)
        #endregion
    }
}